#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

#define pb push_back
#define pii pair<int, int>

vector<char> origin;

int len(int n) {
    int cnt = 0;
    while (n) {
        cnt++;
        n /= 2;
    }
    return cnt;
}

int get_rle(int del) {
    char last = 'h';
    int cnt = 0;
    int size = 0;
    for (int i = 0; i < origin.size(); i++) {
        if (i == del) continue;
        if (origin[i] == last) cnt++;
        else {
            if (cnt) {
                if (cnt == 1) size += 1;
                else size += (1 + len(cnt));
            }
            cnt = 1;
            last = origin[i];
        }
    }
    if (cnt) {
        if (cnt == 1) size += 1;
        else size += (1 + len(cnt));
    }
    return size;
}

int get_rle2(int ind, char s) {
    char last = 'h';
    int cnt = 0;
    int size = 0;
    for (int i = 0; i < ind; i++) {
        if (origin[i] == last) cnt++;
        else {
            if (cnt) {
                if (cnt == 1) size += 1;
                else size += (1 + len(cnt));
            }
            cnt = 1;
            last = origin[i];
        }
    }
    if (s == last) cnt++;
    else {
        if (cnt) {
            if (cnt == 1) size += 1;
            else size += (1 + len(cnt));
        }
        cnt = 1;
        last = s;
    }
    for (int i = ind; i < (int) origin.size(); i++) {
        if (origin[i] == last) cnt++;
        else {
            if (cnt) {
                if (cnt == 1) size += 1;
                else size += (1 + len(cnt));
            }
            cnt = 1;
            last = origin[i];
        }
    }
    if (cnt) {
        if (cnt == 1) size += 1;
        else size += (1 + len(cnt));
    }
    return size;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    string s;
    cin >> s;
    int digit = 0;
    int was = (int) s.size();
    for (int i = 0; i < (int) s.size(); i++) {
        if (s[i] == 'A' || s[i] == 'C' || s[i] == 'G' || s[i] == 'T') {
            if (digit == 0) digit = 1;
            for (int j = 0; j < digit; j++) {
                origin.pb(s[i]);
            }
            digit = 0;
        } else {
            digit = digit * 10 + (s[i] - '0');
        }
    }
    int L = (int) origin.size();
    int del = -1;
    int mn_size = 1e9;
    for (int i = 0; i < L; i++) {
        int new_size = get_rle(i);
        if (new_size < mn_size) {
            mn_size = new_size;
            del = i;
        }
    }
    int ind = -1;
    char sym = 'n';
    int mx_size = -1e9;
    for (int i = 0; i <= L; i++) {
        int new_size1 = get_rle2(i, 'A');
        int new_size2 = get_rle2(i, 'C');
        int new_size3 = get_rle2(i, 'G');
        int new_size4 = get_rle2(i, 'T');
        if (new_size1 > mx_size) {
            mx_size = new_size1;
            sym = 'A';
            ind = i;
        }
        if (new_size2 > mx_size) {
            mx_size = new_size2;
            sym = 'C';
            ind = i;
        }
        if (new_size3 > mx_size) {
            mx_size = new_size3;
            sym = 'G';
            ind = i;
        }
        if (new_size4 > mx_size) {
            mx_size = new_size4;
            sym = 'T';
            ind = i;
        }
    }
    cout << "2 " << del + 1 << "\n";
    cout << "1 " << ind << " " << sym;
}

//3
//1 7
//3
//1 8
//6
//2 8
//1 6


