#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

#define pb push_back
#define pii pair<int, int>

int main() {
    int n;
    cin >> n;
    vector<int> m(n), s(n);
    vector<vector<int>> p(n, vector<int>());
    vector<int> a(n);
    for (int i = 0; i < n; ++i) {
        a[i] = i;
        cin >> m[i] >> s[i];
        p[i].resize(m[i]);
        for (int j = 0; j < m[i]; j++) {
            cin >> p[i][j];
        }
    }
    set<int> distances;
    bool ok = false;
    do {
        int last = -1;
        distances.clear();
        int pos = 0;
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < m[a[i]]; j++) {
                if (last != -1) {
                    distances.insert(pos + p[a[i]][j] - last);
                }
                last = pos + p[a[i]][j];
            }
            pos += s[a[i]];
        }
        if ((int) distances.size() == 1) {
            ok = true;
            cout << "Yes\n";
            for (int i = 0; i < n; i++) {
                cout << a[i] + 1 << " ";
            }
            cout << "\n";
            break;
        }
    } while (next_permutation(a.begin(), a.end()));
    if (!ok) {
        cout << "No\n";
    }
    return 0;
}

//3
//1 7
//3
//1 8
//6
//2 8
//1 6


