#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

#define pii pair<int, int>
#define pb push_back

bool compare(vector<int> a, vector<int> b) {
    for (int i = 0; i < (int) a.size(); i++) {
        if (a[i] == b[i]) continue;
        if (a[i] > b[i]) return true;
        if (a[i] < b[i]) return false;
    }
    return true;
}

struct triple {
    int all, ind_change, val;
};

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    string s;
    int k;
    cin >> s >> k;
    int n = (int) s.size();
    vector<int> x;
    x.reserve(n);
    vector<ll> p(18);
    p[0] = 1;
    for (int i = 1; i < 18; i++) {
        p[i] = p[i - 1] * 10;
    }
    for (int i = 0; i < n; i++) {
        x.pb((int) (s[i] - '0'));
    }
    int now = 9;
    vector<triple> good;
    for (int i = 0; i < 10; i++) {
        vector<int> b(n, i);
        if (k == 0) {
            if (compare(b, x)) {
                now = i;
                break;
            }
        } else {
            for (int j = 0; j < n; j++) {
                for (int l = 0; l < 10; l++) {
                    b[j] = l;
                    if (compare(b, x)) {
                        good.pb({i, j, l});
                    }
                    b[j] = i;
                }
            }
        }
    }
    if (k == 0) {
        for (int i = 0; i < n; i++) {
            cout << now;
        }
    } else {
        vector<ll> all;
        for (auto t : good) {
            vector<ll> b(n, t.all);
            b[t.ind_change] = t.val;
            ll num = 0;
            for (int i = 0; i < n; i++) {
                num += b[i] * p[n - i - 1];
            }
            all.pb(num);
        }
        sort(all.begin(), all.end());
        cout << all[0];
    }
    return 0;
}
